| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]

# Method `<=()

Method `<=

  `int(0..1) `<=(mixed arg1, mixed arg2, mixed ... extras)`

Description

  Less than or equal test.

  Every expression with the `<=` operator becomes a call to this function, i.e. `a<=b` is the same as `predef::`<=(a,b)`.

Returns

  Returns `1` if the test is successful, `0` otherwise.

Note

  For total orders, e.g. integers, this is the inverse of `>() .

See also

  `<() , `>() , `>=()